"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const exportService_1 = require("./exportService");
const format_1 = require("./format");
/**
 * Generate Services using the Handlebar template and write to disk.
 * @param services Array of Services to write.
 * @param templates The loaded handlebar templates.
 * @param outputPath
 */
function writeClientServices(services, templates, outputPath) {
    services.forEach(service => {
        const file = path.resolve(outputPath, `${service.name}.ts`);
        const templateData = exportService_1.exportService(service);
        const templateResult = templates.service(templateData);
        fs.writeFileSync(file, format_1.format(templateResult));
    });
}
exports.writeClientServices = writeClientServices;
